メインコンテンツへスキップ
POST
/
v1
/
embeddings
Create an Embedding
curl --request POST \
  --url https://aihubmix.com/v1/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": "The quick brown fox jumped over the lazy dog",
  "model": "text-embedding-3-small"
}
'
{
  "data": [
    {
      "index": 123,
      "embedding": [
        123
      ]
    }
  ],
  "model": "<string>",
  "usage": {
    "prompt_tokens": 123,
    "total_tokens": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Gateway-issued API key, formatted as sk-gateway-xxxxxxxx. Used by OpenAI-shaped endpoints (/v1/chat/completions, etc.).

ボディ

application/json
input
デフォルト:""
必須

Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens for all embedding models), cannot be an empty string, and any array must be 2048 dimensions or less. Example Python code for counting tokens. In addition to the per-input token limit, all embedding models enforce a maximum of 300,000 tokens summed across all inputs in a single request.

:

"The quick brown fox jumped over the lazy dog"

model
必須

ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.

:

"text-embedding-3-small"

encoding_format
enum<string>
デフォルト:float

The format to return the embeddings in. Can be either float or base64.

利用可能なオプション:
float,
base64
:

"float"

dimensions
integer

The number of dimensions the resulting output embeddings should have. Only supported in text-embedding-3 and later models.

必須範囲: x >= 1
user
string

A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.

:

"user-1234"

レスポンス

OK

data
object[]
必須

The list of embeddings generated by the model.

model
string
必須

The name of the model used to generate the embedding.

object
enum<string>
必須

The object type, which is always "list".

利用可能なオプション:
list
usage
object
必須

The usage information for the request.